
Figure - Bug #116251
测试 Test-ST # 113421 (New): V4.0功能与专项测试

测试 Test-ST # 113422 (New): V4.0专项--AF专项--monkey测试

【AF】【EVT3】【Monkey】Monkey测试6小时，出现CRASH: com.android.systemui（1）
2023-02-15 10:31 - CD Test赵飞

Status: CLOSED Start date: 2023-02-15

Priority: Normal Due date:

Assignee: CD Test赵飞 % Done: 100%

Category: CD-FW Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: FlatBuild_HH_VX1_MCE_FSE.M.R.user.01.00.0074.X101

Resolution: FIXED Degrated: No

Severity: Normal Verified Version:

Reproducibility: Every time Fixed Version: 2023-02-16

Test Type: Monkey Test Root cause: Monkey空指针异常处理

Description

【执行命令】

adb shell

monkey --pkg-blacklist-file /sdcard/blacklist.txt --ignore-crashes --ignore-timeouts --ignore-security-exceptions --monitor-native-crashes

--ignore-native-crashes -s 20 --throttle 500 --pct-touch 30 --pct-motion 15 --pct-nav 15 --pct-majornav 15 --pct-syskeys 5 --pct-appswitch 10

--pct-anyevent 10 --ignore-crashes -v -v -v 43200 2>/sdcard/error.txt 1>/sdcard/info.txt

【错误信息】

// CRASH: com.android.systemui (pid 1971)

// Short Msg: java.lang.NullPointerException

// Long Msg: java.lang.NullPointerException: Attempt to invoke interface method 'boolean

com.android.systemui.plugins.statusbar.NotificationMenuRowPlugin.isSnappedAndOnSameSide()' on a null object reference

// Build Label: TC/figure_CN/figure:12/SKQ1.220201.001/2076:user/test-keys

// Build Changelist: 2076

// Build Time: 1676316340000

// java.lang.NullPointerException: Attempt to invoke interface method 'boolean

com.android.systemui.plugins.statusbar.NotificationMenuRowPlugin.isSnappedAndOnSameSide()' on a null object reference

//     at com.android.systemui.statusbar.notification.stack.NotificationSwipeHelper.shouldSwipe(NotificationSwipeHelper.java:268)

//     at com.android.systemui.SwipeHelper.onTouchEvent(SwipeHelper.java:654)

//     at

com.android.systemui.statusbar.notification.stack.NotificationStackScrollLayoutController$TouchHandler.onTouchEvent(NotificationStackSc

rollLayoutController.java:1771)

//     at

com.android.systemui.statusbar.notification.stack.NotificationStackScrollLayout.onTouchEvent(NotificationStackScrollLayout.java:3372)

//     at android.view.View.dispatchTouchEvent(View.java:14541)

//     at android.view.ViewGroup.dispatchTransformedTouchEvent(ViewGroup.java:3114)

//     at android.view.ViewGroup.dispatchTouchEvent(ViewGroup.java:2787)

//     at android.view.ViewGroup.dispatchTransformedTouchEvent(ViewGroup.java:3120)

//     at android.view.ViewGroup.dispatchTouchEvent(ViewGroup.java:2801)

//     at android.view.ViewGroup.dispatchTransformedTouchEvent(ViewGroup.java:3120)

//     at android.view.ViewGroup.dispatchTouchEvent(ViewGroup.java:2801)

//     at android.view.ViewGroup.dispatchTransformedTouchEvent(ViewGroup.java:3120)

//     at android.view.ViewGroup.dispatchTouchEvent(ViewGroup.java:2801)

//     at com.android.systemui.statusbar.phone.NotificationShadeWindowView.dispatchTouchEvent(NotificationShadeWindowView.java:176)

//     at android.view.View.dispatchPointerEvent(View.java:14800)
//     at android.view.ViewRootImpl$ViewPostImeInputStage.processPointerEvent(ViewRootImpl.java:6362)

//     at android.view.ViewRootImpl$ViewPostImeInputStage.onProcess(ViewRootImpl.java:6163)

//     at android.view.ViewRootImpl$InputStage.deliver(ViewRootImpl.java:5641)

//     at android.view.ViewRootImpl$InputStage.onDeliverToNext(ViewRootImpl.java:5698)

//     at android.view.ViewRootImpl$InputStage.forward(ViewRootImpl.java:5664)

//     at android.view.ViewRootImpl$AsyncInputStage.forward(ViewRootImpl.java:5829)

//     at android.view.ViewRootImpl$InputStage.apply(ViewRootImpl.java:5672)

//     at android.view.ViewRootImpl$AsyncInputStage.apply(ViewRootImpl.java:5886)

//     at android.view.ViewRootImpl$InputStage.deliver(ViewRootImpl.java:5645)

//     at android.view.ViewRootImpl$InputStage.onDeliverToNext(ViewRootImpl.java:5698)

//     at android.view.ViewRootImpl$InputStage.forward(ViewRootImpl.java:5664)

//     at android.view.ViewRootImpl$InputStage.apply(ViewRootImpl.java:5672)

//     at android.view.ViewRootImpl$InputStage.deliver(ViewRootImpl.java:5645)

//     at android.view.ViewRootImpl.deliverInputEvent(ViewRootImpl.java:8584)

//     at android.view.ViewRootImpl.doProcessInputEvents(ViewRootImpl.java:8535)

//     at android.view.ViewRootImpl.enqueueInputEvent(ViewRootImpl.java:8503)

//     at android.view.ViewRootImpl$WindowInputEventReceiver.onInputEvent(ViewRootImpl.java:8707)

//     at android.view.InputEventReceiver.dispatchInputEvent(InputEventReceiver.java:260)

//     at android.view.InputEventReceiver.nativeConsumeBatchedInputEvents(Native Method)

//     at android.view.InputEventReceiver.consumeBatchedInputEvents(InputEventReceiver.java:240)

//     at android.view.ViewRootImpl.doConsumeBatchedInput(ViewRootImpl.java:8664)

//     at android.view.ViewRootImpl$ConsumeBatchedInputRunnable.run(ViewRootImpl.java:8793)

//     at android.view.Choreographer$CallbackRecord.run(Choreographer.java:1120)

//     at android.view.Choreographer.doCallbacks(Choreographer.java:926)

//     at android.view.Choreographer.doFrame(Choreographer.java:851)

//     at android.view.Choreographer$FrameDisplayEventReceiver.run(Choreographer.java:1105)

//     at android.os.Handler.handleCallback(Handler.java:938)

//     at android.os.Handler.dispatchMessage(Handler.java:99)

//     at android.os.Looper.loopOnce(Looper.java:201)

//     at android.os.Looper.loop(Looper.java:288)

//     at android.app.ActivityThread.main(ActivityThread.java:7880)

//     at java.lang.reflect.Method.invoke(Native Method)

//     at com.android.internal.os.RuntimeInit$MethodAndArgsCaller.run(RuntimeInit.java:548)

//     at com.android.internal.os.ZygoteInit.main(ZygoteInit.java:1009)

// 

【日志】

见附件

History

#1 - 2023-02-15 18:14 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

181875 general/platform/frameworks/base Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

caoqg0702@thundersoft.com

AF:Notification: Fix monkey NullPointerExceptionTC-RID: 1201-0201902IssueID: TS-R-BUG-116251Change-Id:

I1736561d36c1d904d4c7e4754c7023fd1d482665
#2 - 2023-02-15 18:15 - CD FW 曹覃刚

- Status changed from New to RESOLVED

- Assignee changed from CD FW 曹覃刚 to CD Test赵飞

- % Done changed from 0 to 100

- Resolution changed from -- to FIXED

- Degrated changed from -- to No

- Fixed Version set to 2023-02-16

- Root cause set to Monkey空指针异常处理

#3 - 2023-02-17 09:42 - CD Test赵飞

- % Done changed from 100 to 70

2/16 release版本未复现此问题

Monkey问题，继续跟踪2个版本

#4 - 2023-02-21 14:58 - CD Test赵飞

2/18 DB版本未复现此问题

Monkey问题，继续跟踪1个版本

#5 - 2023-02-22 11:04 - CD Test赵飞

- Status changed from RESOLVED to VERIFIED

- % Done changed from 70 to 100

2/21 release版本未复现此问题

已跟踪3个版本未复现，关闭此问题

#6 - 2023-02-22 11:04 - CD Test赵飞

- Status changed from VERIFIED to CLOSED

Files

Tlog.zip 26.8 MB 2023-02-15 CD Test赵飞
